Subject: [bmwg] Marius' comments on draft-ietf-bmwg-virtual-net [was RE: I-D Update]

From: "MORTON, ALFRED C (AL)" <[email-masked]>
Date: Wed, 23 Sep 2015 22:37:16 -0400

From: GEORGESCU LIVIU MARIUS [mailto:[email-masked]]
Sent: Saturday, July 18, 2015 10:40 AM
To: MORTON, ALFRED C (AL); [email-masked]
Subject: RE: [bmwg] I-D Update

Hello Al,
…
In the spirit of a draft-a-week, here are my comments for the draft https://www.ietf.org/id/draft-ietf-bmwg-virtual-net-00.txt.
Please find attached a txt version. I marked my comments with ###MG .
[ACM]

Hi Marius, thanks for your comments!

I’m about to submit a revised version with many comments addressed.

You had a few comments where I would like to reply.

   ###MG: The draft could benefit from a Terminology Section/Subsection.

This is “just” a Considerations draft, so the terminology is less critical
than the usual Terminology that supports a Methodology.  I think any term
and definition can be successfully searched if a reader finds it unfamiliar.
If there’s a specific set of terms you’d like to see defined, I’ll wager we can
reference an existing definition.

   ...Internal metrics and
   measurements from Open Source implementations may be the only direct
   source of performance results in a desired dimension, but
   corroborating external observations are still required to assure the
   integrity of measurement discipline was maintained for all reported
   results.

   ###MG: Maybe RECOMMENDED(SHOULD) and  MAY should be used here for
   Black-Box vs White-Box (Grey-Box) benchmarks.

We don’t have any RFC2119 requirements in a Considerations draft.
The overall requirement is to apply scientific methods and I think
we all accept that.

Section 4.3:
   ###MG: I guess this is a generic classification of possible new metrics for VNFs.
   Maybe a substructure (taxonomy/bullet list/Subsections) may help better organize the categories.
OK, done.

Section 4.4:
   o  Add a column, Scalability, for use when categorizing benchmarks.

   o  If using the matrix to report results in an organized way, keep
      size, capacity, and scale metrics separate from the 3x3 matrix and
      incorporate them in the report with other qualifications of the
     results.
     ###MG: I imagine it's hard to optimize the Synthetic/Detailed Trade-of for the
      Benchmark coverage matrix.
     However, I think Scalability is a very important aspect for VNFs and would go
     for the "Add a column" option.

I’ve clarified the text here – these aren’t alternatives, the are different
use cases for the Matrix.
OTOH, I didn’t understand your first sentence at all.

     ###MG: I think a specific example on how to use the matrix could be useful.

We now have two drafts that have used the Matrix, and I referenced both
as examples.

regards,
Al

---

From: Marius Georgescu <[email-masked]>
Date: Thu, 24 Sep 2015 13:39:32 +0900

Hello Al,

Thank you very much for addressing my comments and taking the time to clarify the aspects I’ve misunderstood. 

Best regards,
Marius

> On Sep 24, 2015, at 11:37, MORTON, ALFRED C (AL) <[email-masked]> wrote:
> 
>  
> From: GEORGESCU LIVIU MARIUS [mailto:[email-masked] <mailto:[email-masked]>] 
> To: MORTON, ALFRED C (AL); [email-masked] <mailto:[email-masked]>
> In the spirit of a draft-a-week, here are my comments for the draft https://www.ietf.org/id/draft-ietf-bmwg-virtual-net-00.txt <https://www.ietf.org/id/draft-ietf-bmwg-virtual-net-00.txt>.